Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet
Class CachedNode

    java.lang.Object
      org.mindswap.pellet.CachedNode

    public class CachedNode

extends java.lang.Object

Author:
  Evren Sirin

Field Summary
`static Individual` | `BOTTOM_IND`
`static Individual` | `DUMMY_IND`
`static Individual` | `TOP_IND`

Method Summary
`static CachedNode` | `createBottomNode()`
`static CachedNode` | `createNode(Individual node, DependencySet depends)`
`static CachedNode` | `createSatisfiableNode()`
`static CachedNode` | `createTopNode()`
`boolean` | `isBottom()`
`boolean` | `isComplete()`
`boolean` | `isIncomplete()`
`boolean` | `isTop()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TOP_IND

    public static final Individual TOP_IND

### BOTTOM_IND

    public static final Individual BOTTOM_IND

### DUMMY_IND

    public static final Individual DUMMY_IND

Method Detail

### createTopNode

    public static CachedNode createTopNode()

### createBottomNode

    public static CachedNode createBottomNode()

### createSatisfiableNode

    public static CachedNode createSatisfiableNode()

### createNode

    public static CachedNode createNode(Individual node,
                                        DependencySet depends)

### isIncomplete

    public boolean isIncomplete()

### isComplete

    public boolean isComplete()

### isTop

    public boolean isTop()

### isBottom

    public boolean isBottom()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.